package memelibrary

import (
	"embed"
	"path"
)

//go:embed assets
var content embed.FS

func AssetDir(name string) ([]string, error) {
	entries, err := content.ReadDir(path.Join("assets", name))
	if err != nil {
		return nil, err
	}

	files := make([]string, len(entries))
	for i, entry := range entries {
		files[i] = entry.Name()
	}

	return files, nil
}

func MustAsset(name string) []byte {
	data, err := content.ReadFile(path.Join("assets", name))
	if err != nil {
		panic(err)
	}
	return data
}
